module OW_taper_areal
!--------------------------------------------------
! Compute vref
!
use OW_parms_areal
implicit none

contains

subroutine owtaper(taper,nn)

integer				:: i,nn
real				:: taper(:),pi
pi=4*atan(1.)

taper=1.

do i=1,nn
   taper(i)=(1+cos(pi*(nn-i+1)/nn))/2
   taper(size(taper)-i+1)=taper(i)
end do

end subroutine owtaper

end module
